#!/usr/bin/env python
# Copyright (c) 2022 Clément Martin <twisla@twis.la. All rights reserved.
# Unauthorized copying of this file, via any medium is strictly prohibited

from diagrams.custom import Custom

def IndustrialRouter(label='Industrial Router'):
    return Custom(label, './icons/industrial_router.png')

def Modem(label='Modem'):
    return Custom(label, './icons/modem.png')

def ProximusBBox(label='Proximus internet router'):
    return Custom(label, './icons/proximus_bbox.png')

def ProximusInternet(label='Proximus internet Connection'):
    return Custom(label, './icons/proximus_internet.png')

def Switch(label='Switch'):
    return Custom(label, './icons/switch.png')

def TelenetInternet(label='Telenet internet Connection'):
    return Custom(label, './icons/telenet_internet.png')

def UniFiAP(label='WiFi AP'):
    return Custom(label, './icons/uap.png')
